Subject: Re: powerpc/lib: Split xor_vmx file to guarantee instruction ordering

From: Michael Ellerman <[email-masked]>
Date: Mon, 5 Jun 2017 20:21:51 +1000 (AEST)

On Tue, 2017-05-23 at 23:45:59 UTC, Matt Brown wrote:
> The xor_vmx.c file is used for the RAID5 xor operations. In these functions
> altivec is enabled to run the operation and then disabled. However due to
> compiler instruction reordering, altivec instructions are being run before
> enable_altivec() and after disable_altivec().
> 
> This patch splits the non-altivec code into xor_vmx_glue.c which calls the
> altivec functions in xor_vmx.c. By compiling xor_vmx_glue.c without
> -maltivec we can guarantee that altivec instruction will not be reordered
> outside of the enable/disable block.
> 
> Signed-off-by: Matt Brown <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/f718d426d7e42eec6e5d2932f52a51

cheers